Package org.eclipse.graphiti.ui.internal.policy

## Class ShapeForbidLayoutEditPolicy

- java.lang.Object
- - org.eclipse.gef.editpolicies.AbstractEditPolicy
  - - org.eclipse.gef.editpolicies.GraphicalEditPolicy
    - - org.eclipse.gef.editpolicies.LayoutEditPolicy
      - - org.eclipse.graphiti.ui.internal.policy.ShapeForbidLayoutEditPolicy

All Implemented Interfaces:
  `org.eclipse.gef.EditPolicy`, `org.eclipse.gef.RequestConstants`

    public class ShapeForbidLayoutEditPolicy
    extends org.eclipse.gef.editpolicies.LayoutEditPolicy

An EditPolicy, which 'forbids' any Layout dependent Commands. All methods of this EditPolicy return null, which is different from using no EditPolicy at all, because it will create a visible feedback that the requests are forbidden. This EditPolicy can for example be used for those EditParts, which do not have any children.

See Also:
  `IEditPolicyFactory.createShapeForbidLayoutEditPolicy()`

### Field Summary

### Fields inherited from interface org.eclipse.gef.EditPolicy

`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

### Constructor Summary

Constructors
`protected` `ShapeForbidLayoutEditPolicy​(IConfigurationProvider configurationProvider)` Creates a new ShapeForbidLayoutEditPolicy.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.eclipse.gef.EditPolicy` `createChildEditPolicy​(org.eclipse.gef.EditPart child)` Returns null.
`protected IConfigurationProvider` `getConfigurationProvider()`
`protected org.eclipse.gef.commands.Command` `getCreateCommand​(org.eclipse.gef.requests.CreateRequest request)` Returns null.
`protected org.eclipse.gef.commands.Command` `getDeleteDependantCommand​(org.eclipse.gef.Request request)` Returns null.
`protected org.eclipse.gef.commands.Command` `getMoveChildrenCommand​(org.eclipse.gef.Request request)` Returns null.

### Methods inherited from class org.eclipse.gef.editpolicies.LayoutEditPolicy

`activate, createListener, createSizeOnDropFeedback, deactivate, decorateChild, decorateChildren, eraseLayoutTargetFeedback, eraseSizeOnDropFeedback, eraseTargetFeedback, getAddCommand, getCloneCommand, getCommand, getCreationFeedbackOffset, getLayoutContainer, getLayoutOrigin, getOrphanChildrenCommand, getSizeOnDropFeedback, getSizeOnDropFeedback, getTargetEditPart, setListener, showLayoutTargetFeedback, showSizeOnDropFeedback, showTargetFeedback, translateFromAbsoluteToLayoutRelative, translateFromLayoutRelativeToAbsolute, undecorateChild, undecorateChildren`

### Methods inherited from class org.eclipse.gef.editpolicies.GraphicalEditPolicy

`addFeedback, getFeedbackLayer, getHostFigure, getLayer, removeFeedback`

### Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy

`debugFeedback, eraseSourceFeedback, getHost, setHost, showSourceFeedback, toString, understandsRequest`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ShapeForbidLayoutEditPolicy

    protected ShapeForbidLayoutEditPolicy​(IConfigurationProvider configurationProvider)

Creates a new ShapeForbidLayoutEditPolicy.

Parameters:
  `configurationProvider` - The IConfigurationProviderInternal.

### Method Detail

#### getConfigurationProvider

    protected final IConfigurationProvider getConfigurationProvider()

#### createChildEditPolicy

    protected org.eclipse.gef.EditPolicy createChildEditPolicy​(org.eclipse.gef.EditPart child)

Returns null.

Specified by:
  `createChildEditPolicy` in class `org.eclipse.gef.editpolicies.LayoutEditPolicy`
See Also:
  `LayoutEditPolicy.createChildEditPolicy(org.eclipse.gef.EditPart)`

#### getCreateCommand

    protected org.eclipse.gef.commands.Command getCreateCommand​(org.eclipse.gef.requests.CreateRequest request)

Returns null.

Specified by:
  `getCreateCommand` in class `org.eclipse.gef.editpolicies.LayoutEditPolicy`
See Also:
  `LayoutEditPolicy.getCreateCommand(org.eclipse.gef.requests.CreateRequest)`

#### getMoveChildrenCommand

    protected org.eclipse.gef.commands.Command getMoveChildrenCommand​(org.eclipse.gef.Request request)

Returns null.

Specified by:
  `getMoveChildrenCommand` in class `org.eclipse.gef.editpolicies.LayoutEditPolicy`
See Also:
  `LayoutEditPolicy.getMoveChildrenCommand(org.eclipse.gef.Request)`

#### getDeleteDependantCommand

    protected org.eclipse.gef.commands.Command getDeleteDependantCommand​(org.eclipse.gef.Request request)

Returns null.

Overrides:
  `getDeleteDependantCommand` in class `org.eclipse.gef.editpolicies.LayoutEditPolicy`
See Also:
  `LayoutEditPolicy.getDeleteDependantCommand(org.eclipse.gef.Request)`